Show / Hide Table of Contents

# Class OverwriteDeleteAuditLogData

Contains a piece of audit log data related to the deletion of a permission overwrite.

##### Inheritance

System.Object
OverwriteDeleteAuditLogData

##### Implements

IAuditLogData

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.Rest

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public class OverwriteDeleteAuditLogData : IAuditLogData

### Properties

| Improve this Doc View Source

#### ChannelId

Gets the ID of the channel that the overwrite was deleted from.

##### Declaration

    public ulong ChannelId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 | A System.UInt64 representing the snowflake identifier for the channel that the overwrite was deleted from.

| Improve this Doc View Source

#### Overwrite

Gets the permission overwrite object that was deleted.

##### Declaration

    public Overwrite Overwrite { get; }

##### Property Value

Type | Description
--- | ---
Overwrite | An Overwrite object representing the overwrite that was deleted.

### Implements

IAuditLogData